Subject: Re: testing (Was: Re: linux-next: scsi-post-merge tree build failure)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 23 Dec 2008 11:19:35 +1100

On Tue, 2008-12-23 at 10:04 +1100, Stephen Rothwell wrote:
> So, why is this series in powerpc/next at all if some of the modified
> files haven't even been compiled?  

Because nobody spotted the problem while the series was out for review ?

> A simple ppc44x_defconfig build of the
> powerpc/next tree fails - which I would have thought would be part of the
> testing since KVM is only implemented for 44x on powerpc.
> 
> (Sorry, I am annoyed - it was late when I finally found this build
> failure on top of everything else.)

I have about 3 44x configs in my build tests. KVM happens not to be
enabled in any of them :-( I'll add this ppc4xx_defconfig to the lot, I
didn't know it existed in fact.

Cheers,
Ben.